compat-db-4.6.21-17.el6.i686.rpm


Advertisement

Description

compat-db - The Berkeley DB database compatibility library

Property Value
Distribution CentOS 6
Repository CentOS i386
Package filename compat-db-4.6.21-17.el6.i686.rpm
Package name compat-db
Package version 4.6.21
Package release 17.el6
Package architecture i686
Package type rpm
Category System Environment/Libraries
Homepage http://www.oracle.com/database/berkeley-db/
License BSD
Maintainer -
Download size 12.50 KB
Installed size unknown
The Berkeley Database (Berkeley DB) is a programmatic toolkit that provides
embedded database support for both traditional and client/server applications.
This package contains various versions of Berkeley DB which were included in
previous releases of Red Hat Linux.

Alternatives

Package Version Architecture Repository
compat-db-4.6.21-17.el6.i686.rpm 4.6.21 i686 CentOS
compat-db-4.6.21-17.el6.x86_64.rpm 4.6.21 x86_64 CentOS
compat-db - - -

Requires

Name Value
/sbin/ldconfig -
compat-db42(x86-32) = 4.2.52-17.el6
compat-db43(x86-32) = 4.3.29-17.el6

Provides

Name Value
compat-db = 4.6.21-17.el6
compat-db(x86-32) = 4.6.21-17.el6

Download

Type URL
Mirror mirror.centos.org
Binary Package compat-db-4.6.21-17.el6.i686.rpm
Source Package compat-db-4.6.21-17.el6.src.rpm

Install Howto

Install compat-db rpm package:

# yum install compat-db

Changelog

2016-10-26 - Matej Muzila <mmuzila@redhat.com> 4.6.21-17
- link libdb against -lpthread (#1342461)
- link c++ code against -lpthread too
2016-07-13 - Matej Muzila <mmuzila@redhat.com> 4.6.21-16
- link libdb against -lpthread (#1342461)
2010-06-02 - Jindrich Novy <jnovy@redhat.com> 4.6.21-15
- add -fno-strict-aliasing (#599376)
2010-05-25 - Jindrich Novy <jnovy@redhat.com> 4.6.21-14
- pull in correct compat-dbs on multiarch systems (#589637)
2010-05-19 - Jindrich Novy <jnovy@redhat.com> 4.6.21-13
- fix dependencies in the main package
2010-05-18 - Jindrich Novy <jnovy@redhat.com> 4.6.21-12
- readd 4.2 and 4.3 back for RHEL4/5 compatibility, remove 4.5, 4.6 (#588589)
2010-01-11 - Jindrich Novy <jnovy@redhat.com> 4.6.21-11
- apply compatibility patch
- define default file attributes
Related: #543948
2009-09-10 - Jindrich Novy <jnovy@redhat.com> 4.6.21-10
- remove libtool hacks so that compat-db builds again
- remove support for old BDBs: 4.3.29, 4.2.52, 4.1.25
2009-07-24 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.6.21-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild
2009-02-24 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.6.21-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

See Also

Package Description
compat-db42-4.2.52-17.el6.i686.rpm The Berkeley DB database 4.2.52 compatibility library
compat-db43-4.3.29-17.el6.i686.rpm The Berkeley DB database 4.3.29 compatibility library
compat-expat1-1.95.8-8.el6.i686.rpm A library for parsing XML documents
compat-gcc-34-3.4.6-19.el6.i686.rpm Compatibility GNU Compiler Collection
compat-gcc-34-c++-3.4.6-19.el6.i686.rpm C++ support for compatibility compiler
compat-gcc-34-g77-3.4.6-19.el6.i686.rpm Fortran 77 support for compatibility compiler
compat-glibc-2.5-46.2.i686.rpm Compatibility C library
compat-glibc-headers-2.5-46.2.i686.rpm Header files for development using standard C libraries
compat-libcap1-1.10-1.i686.rpm Library for getting and setting POSIX.1e capabilities
compat-libf2c-34-3.4.6-19.el6.i686.rpm Fortran 77 compatibility runtime
compat-libgcc-296-2.96-144.el6.i686.rpm Compatibility 2.96-RH libgcc library
compat-libgfortran-41-4.1.2-39.el6.i686.rpm Compatibility Fortran 95 runtime library version 4.1.2
compat-libstdc++-296-2.96-144.el6.i686.rpm Compatibility 2.96-RH standard C++ libraries
compat-libstdc++-33-3.2.3-69.el6.i686.rpm Compatibility standard C++ libraries
compat-libtermcap-2.0.8-49.el6.i686.rpm A basic system library for accessing the termcap database
Advertisement
Advertisement